Package org.codehaus.groovy.vmplugin.v7

# Class Selector

java.lang.Object
org.codehaus.groovy.vmplugin.v7.Selector

    @Deprecated
    public abstract class Selector
    extends java.lang.Object

Deprecated.

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `java.lang.Object[]` | `args` | Deprecated.
  `boolean` | `cache` | Deprecated.
  `java.lang.invoke.MutableCallSite` | `callSite` | Deprecated.
  `IndyInterface.CallType` | `callType` | Deprecated.
  `boolean` | `catchException` | Deprecated.
  `java.lang.invoke.MethodType` | `currentType` | Deprecated.
  `java.lang.invoke.MethodHandle` | `handle` | Deprecated.
  `boolean` | `isVargs` | Deprecated.
  `MetaMethod` | `method` | Deprecated.
  `java.lang.String` | `name` | Deprecated.
  `java.lang.Object[]` | `originalArguments` | Deprecated.
  `boolean` | `safeNavigation` | Deprecated.
  `boolean` | `safeNavigationOrig` | Deprecated.
  `java.lang.Class<?>` | `selectionBase` | Deprecated.
  `java.lang.Class<?>` | `sender` | Deprecated.
  `boolean` | `skipSpreadCollector` | Deprecated.
  `boolean` | `spread` | Deprecated.
  `java.lang.invoke.MethodType` | `targetType` | Deprecated.
  `boolean` | `thisCall` | Deprecated.
  `boolean` | `useMetaClass` | Deprecated.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Selector()` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.Object` | `getCorrectedReceiver()` | Deprecated. Returns `NullObject.getNullObject()` if the receiver (args[0]) is null.
  `static Selector` | `getSelector​(java.lang.invoke.MutableCallSite callSite, java.lang.Class<?> sender, java.lang.String methodName, int callID, boolean safeNavigation, boolean thisCall, boolean spreadCall, java.lang.Object[] arguments)` | Deprecated. Returns the Selector

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### args

    public java.lang.Object[] args
    Deprecated.

  - ### originalArguments

    public java.lang.Object[] originalArguments
    Deprecated.

  - ### method

    public MetaMethod method
    Deprecated.

  - ### targetType

    public java.lang.invoke.MethodType targetType
    Deprecated.

  - ### currentType

    public java.lang.invoke.MethodType currentType
    Deprecated.

  - ### name

    public java.lang.String name
    Deprecated.

  - ### handle

    public java.lang.invoke.MethodHandle handle
    Deprecated.

  - ### useMetaClass

    public boolean useMetaClass
    Deprecated.

  - ### cache

    public boolean cache
    Deprecated.

  - ### callSite

    public java.lang.invoke.MutableCallSite callSite
    Deprecated.

  - ### sender

    public java.lang.Class<?> sender
    Deprecated.

  - ### isVargs

    public boolean isVargs
    Deprecated.

  - ### safeNavigation

    public boolean safeNavigation
    Deprecated.

  - ### safeNavigationOrig

    public boolean safeNavigationOrig
    Deprecated.

  - ### spread

    public boolean spread
    Deprecated.

  - ### skipSpreadCollector

    public boolean skipSpreadCollector
    Deprecated.

  - ### thisCall

    public boolean thisCall
    Deprecated.

  - ### selectionBase

    public java.lang.Class<?> selectionBase
    Deprecated.

  - ### catchException

    public boolean catchException
    Deprecated.

  - ### callType

    public IndyInterface.CallType callType
    Deprecated.

- ## Constructor Details

  - ### Selector

    public Selector()
    Deprecated.

- ## Method Details

  - ### getSelector

    public static Selector getSelector​(java.lang.invoke.MutableCallSite callSite, java.lang.Class<?> sender, java.lang.String methodName, int callID, boolean safeNavigation, boolean thisCall, boolean spreadCall, java.lang.Object[] arguments)
    Deprecated.
    Returns the Selector

  - ### getCorrectedReceiver

    public java.lang.Object getCorrectedReceiver()
    Deprecated.
    Returns `NullObject.getNullObject()` if the receiver (args[0]) is null. If it is not null, the recevier itself is returned.